// 动态拼接钉钉授权页链接
const corpId = import.meta.env.VITE_CORP_ID;
const clientId = import.meta.env.VITE_CLIENT_ID;
const authBtn = document.getElementById('open-dingtalk-auth');
if (authBtn) {
    authBtn.onclick = function() {
        const url = `https://login.dingtalk.com/oauth2/auth?redirect_uri=http://localhost:5173/user.html&response_type=code&client_id=ding1shqustyocf8qkqc&scope=openid%20corpid&prompt=consent`;
        window.open(url, '_blank');
    };
} 